Author Topic: Fatal error on very simple DWG  (Read 7706 times)

0 Members and 1 Guest are viewing this topic.

Matthew H

  • Newt
  • Posts: 70
Re: Fatal error on very simple DWG
« Reply #15 on: May 21, 2019, 04:16:46 PM »
Thanks for testing.

Started with lite abuse.

Next level abuse attached.

Please try; thanks.

MP, Works as expected. No fatal errors.

MP

  • Seagull
  • Posts: 17750
  • Have thousands of dwgs to process? Contact me.
Re: Fatal error on very simple DWG
« Reply #16 on: May 21, 2019, 04:18:43 PM »
I tried a couple things, let's start with the easiest.

In AutoCAD Use -EXPORTTOAUTOCAD to a new file. Does it crash? If so I'll share more.
Engineering Technologist • CAD Automation Practitioner
Automation ▸ Design ▸ Drafting ▸ Document Control ▸ Client
cadanalyst@gmail.comhttp://cadanalyst.slack.comhttp://linkedin.com/in/cadanalyst

Marc'Antonio Alessi

  • Swamp Rat
  • Posts: 1451
  • Marco
Re: Fatal error on very simple DWG
« Reply #17 on: May 21, 2019, 04:19:21 PM »
Could this be part of it?
Quote
Non Autodesk DWG.  This DWG file was saved by a software application that was not developed or licensed by Autodesk.  Autodesk cannot guarantee the application compatibility or integrity of this file.
To clean that try -EXPORTTOAUTOCAD (in AutoCAD)...

ronjonp

  • Needs a day job
  • Posts: 7526
Re: Fatal error on very simple DWG
« Reply #18 on: May 21, 2019, 04:23:01 PM »
Does this attached drawing crash?

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

Matthew H

  • Newt
  • Posts: 70
Re: Fatal error on very simple DWG
« Reply #19 on: May 21, 2019, 04:30:07 PM »
Does this attached drawing crash?

ronjonp, It does crash BricsCAD.
« Last Edit: May 21, 2019, 04:39:44 PM by Matthew H »

Marc'Antonio Alessi

  • Swamp Rat
  • Posts: 1451
  • Marco
Re: Fatal error on very simple DWG
« Reply #20 on: May 21, 2019, 04:33:11 PM »
I tried a couple things, let's start with the easiest.

In AutoCAD Use -EXPORTTOAUTOCAD to a new file. Does it crash? If so I'll share more.
EXPORTTOAUTOCAD > Fatal error
Recover (not audit)   > Fix it for AutoCAD but not for BricsCAD...


ronjonp

  • Needs a day job
  • Posts: 7526
Re: Fatal error on very simple DWG
« Reply #22 on: May 21, 2019, 04:39:10 PM »
Does this attached drawing crash?

ronjonp, It does crash.
DOH! .. I still wonder why my CAD does not crash?

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

Marc'Antonio Alessi

  • Swamp Rat
  • Posts: 1451
  • Marco
Re: Fatal error on very simple DWG
« Reply #23 on: May 21, 2019, 04:44:16 PM »
Does this attached drawing crash?

ronjonp, It does crash.
DOH! .. I still wonder why my CAD does not crash?
Right now I'm using 2020 Mechanical (Vanilla)… maybe the only solution is a WBlock "*"

MP

  • Seagull
  • Posts: 17750
  • Have thousands of dwgs to process? Contact me.
Re: Fatal error on very simple DWG
« Reply #24 on: May 21, 2019, 04:49:56 PM »
level 1

Code: [Select]
(   (lambda ( nop blocks killitwithfire )
        (vlax-for b blocks
            (and
                (eq :vlax-false (vla-get-islayout b))
                (eq :vlax-false (vla-get-isxref b))
                (eq :vlax-true (vla-get-hasextensiondictionary b))
                (killitwithfire (vla-getextensiondictionary b))
            )       
        )
        (princ)
    )
    (vl-load-com)
    (vla-get-blocks (vla-get-activedocument (vlax-get-acad-object)))
    (lambda ( x / e )
        (foreach p (entget (vlax-vla-object->ename x))
            (and
                (eq 360 (car p))
                (eq 'ename (type (setq e (cdr p))))
                (wcmatch (cdr (assoc 0 (entget e))) "*PURGEPREVENTER*")
                (vl-catch-all-apply 'entdel (list e))
            )
        )
    )
)

Then -exporttoautocad.

Crash, no crash?
Engineering Technologist • CAD Automation Practitioner
Automation ▸ Design ▸ Drafting ▸ Document Control ▸ Client
cadanalyst@gmail.comhttp://cadanalyst.slack.comhttp://linkedin.com/in/cadanalyst

Marc'Antonio Alessi

  • Swamp Rat
  • Posts: 1451
  • Marco
Re: Fatal error on very simple DWG
« Reply #25 on: May 21, 2019, 05:00:22 PM »
level 1

Code: [Select]
(   (lambda ( nop blocks killitwithfire )
        (vlax-for b blocks
            (and
                (eq :vlax-false (vla-get-islayout b))
                (eq :vlax-false (vla-get-isxref b))
                (eq :vlax-true (vla-get-hasextensiondictionary b))
                (killitwithfire (vla-getextensiondictionary b))
            )       
        )
        (princ)
    )
    (vl-load-com)
    (vla-get-blocks (vla-get-activedocument (vlax-get-acad-object)))
    (lambda ( x / e )
        (foreach p (entget (vlax-vla-object->ename x))
            (and
                (eq 360 (car p))
                (eq 'ename (type (setq e (cdr p))))
                (wcmatch (cdr (assoc 0 (entget e))) "*PURGEPREVENTER*")
                (vl-catch-all-apply 'entdel (list e))
            )
        )
    )
)

Then -exporttoautocad.

Crash, no crash?
crash  :-(

MP

  • Seagull
  • Posts: 17750
  • Have thousands of dwgs to process? Contact me.
Re: Fatal error on very simple DWG
« Reply #26 on: May 21, 2019, 05:05:05 PM »
level 2

Code: [Select]
(   (lambda ( nop blocks killitwithfire )
        (vlax-for b blocks
            (and
                (eq :vlax-false (vla-get-islayout b))
                (eq :vlax-false (vla-get-isxref b))
                (eq :vlax-true (vla-get-hasextensiondictionary b))
                (killitwithfire (vla-getextensiondictionary b))
            )       
        )
        (princ)
    )
    (vl-load-com)
    (vla-get-blocks (vla-get-activedocument (vlax-get-acad-object)))
    (lambda ( x / e )
        (foreach p (entget (vlax-vla-object->ename x))
            (and
                (eq 360 (car p))
                (eq 'ename (type (setq e (cdr p))))
                (vl-catch-all-apply 'entdel (list e))
            )
        )
        (vl-catch-all-apply 'vla-delete (list x))
    )
)
Engineering Technologist • CAD Automation Practitioner
Automation ▸ Design ▸ Drafting ▸ Document Control ▸ Client
cadanalyst@gmail.comhttp://cadanalyst.slack.comhttp://linkedin.com/in/cadanalyst

Marc'Antonio Alessi

  • Swamp Rat
  • Posts: 1451
  • Marco
Re: Fatal error on very simple DWG
« Reply #27 on: May 21, 2019, 05:18:05 PM »
GRANDE!  :-) all is ok in B/A no need ExportToAutocad… now I have to run, it's late here in my little state ...my wife pulled me by the hair I don't have anymore. (sorry for google transl.) see you about 8 hours.
Thanks MP  :smitten:
Code: [Select]
(   (lambda ( nop blocks killitwithfire )
        (vlax-for b blocks
            (and
                (eq :vlax-false (vla-get-islayout b))
                (eq :vlax-false (vla-get-isxref b))
                (eq :vlax-true (vla-get-hasextensiondictionary b))
                (killitwithfire (vla-getextensiondictionary b))
            )       
        )
        (princ)
    )
    (vl-load-com)
    (vla-get-blocks (vla-get-activedocument (vlax-get-acad-object)))
    (lambda ( x / e )
        (foreach p (entget (vlax-vla-object->ename x))
            (print p) (princ " p ")
            (and
                (eq 360 (car p))
                (eq 'ename (type (setq e (cdr p))))
                (vl-catch-all-apply 'entdel (list e))
            )
        )
        (print x) (princ " x ")
        (vl-catch-all-apply 'vla-delete (list x))
    )
)


(-1 . <Entity name: 3cc7e870>)  p
(0 . "DICTIONARY")  p
(5 . "9438")  p
(330 . <Entity name: 3cc7f770>)  p
(100 . "AcDbDictionary")  p
(280 . 1)  p
(281 . 1)  p
(3 . "ACAD_ASSOCNETWORK")  p
(360 . <Entity name: 3cc7e970>)  p
(3 . "ACAD_SORTENTS")  p
(360 . <Entity name: 3cc7f670>)  p
#<VLA-OBJECT IAcadDictionary 000000003CE58A70>  x
(-1 . <Entity name: 3cc7f2b0>)  p
(0 . "DICTIONARY")  p
(5 . "9444")  p
(330 . <Entity name: 3cc7ea70>)  p
(100 . "AcDbDictionary")  p
(280 . 1)  p
(281 . 1)  p
(3 . "ACAD_SORTENTS")  p
(360 . <Entity name: 3cc7ee70>)  p
#<VLA-OBJECT IAcadDictionary 000000003CE585F0>  x

MP

  • Seagull
  • Posts: 17750
  • Have thousands of dwgs to process? Contact me.
Re: Fatal error on very simple DWG
« Reply #28 on: May 21, 2019, 05:21:30 PM »
You’re most welcome my friend; cheers.
Engineering Technologist • CAD Automation Practitioner
Automation ▸ Design ▸ Drafting ▸ Document Control ▸ Client
cadanalyst@gmail.comhttp://cadanalyst.slack.comhttp://linkedin.com/in/cadanalyst

Marc'Antonio Alessi

  • Swamp Rat
  • Posts: 1451
  • Marco
Re: Fatal error on very simple DWG
« Reply #29 on: May 22, 2019, 07:48:04 AM »
Thanks again to Michael Puckett (my friend from Canada  :-) ) for solving the problem.

If anyone wants to play with another puzzle see: http://www.theswamp.org/index.php?topic=54337.msg589061#msg589061

Tested with Open/Recover/Inser + DxfOut/DxfIn:

AutoCAD 2017/18/19/20 + ODBX AutoCAD > Fatal error

AutoCAD 2013 open OK > if copy or move the hatch > Fatal error

> FATAL ERROR:  Unhandled Access Violation Reading 0xffffffd0 Exception at F3DE3C27h

Bricscad (all) > OK

P.S.: lately I'm having a lot of strange problems with DWG going through conversions from/to Microstation / AutoCAD / BricsCAD